.page-breadcrumb {
  display: flex;
  align-items: center;
  gap: 10px;
  font-size: 14px;
}
.page-breadcrumb a,
.page-breadcrumb span {
  font-weight: bold;
}

.categories {
  display: flex;
}
.categories .categories-left {
  flex-shrink: 0;
  width: 200px;
  min-height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #eaeaea;
  padding: 10px;
}
.categories .categories-left .expand {
  display: none;
}
.categories .categories-right {
  flex: 1;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  gap: 10px;
  align-items: center;
  justify-content: center;
  background-color: #fff;
  padding: 10px;
}
.categories .categories-right .category {
  width: fit-content;
  white-space: nowrap;
}

@media (max-width: 768px) {
  .main .container-fluid {
    padding: 0;
  }
  .page-breadcrumb,
  .total {
    display: none;
  }
  .categories {
    flex-direction: column;
    border-radius: 8px;
    overflow: hidden;
    margin-top: 10px;
  }
  .categories .categories-left {
    width: 100%;
    min-height: 0;
    justify-content: space-between;
    padding: 5px 15px;
  }
  .categories .categories-left .expand {
    display: flex;
    align-items: center;
    gap: 5px;
  }
  .categories .categories-left .expand span {
    color: #666;
  }
  .categories .categories-left .expand i {
    transition: 0.1s;
  }
  .categories .categories-right {
    max-height: 0;
    grid-template-columns: repeat(2, 1fr) !important;
    gap: 0;
    padding: 0;
    transition: 0.1s;
  }
  .categories .categories-right .category {
    word-break: break-all;
    white-space: normal;
    padding: 5px 15px;
  }
  .categories.expanded .categories-left .expand i {
    transform: rotate(180deg);
  }
  div.product-list .colspan-4-buy {
    width: calc(70% - 5px);
    float: right;
    padding-right: 90px;
  }
  div.product-list .colspan-4-buy .item-p {
    display: flex;
  }
  div.product-list .colspan-4-buy .item-p .item-span-2 {
    flex-shrink: 0;
  }
  div.product-list .colspan-4-buy .item-p .item-span-text {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  div.product-list .list.productlist .item div.colspan-7 {
    top: auto;
    bottom: 0;
    transform: none;
  }
  div.product-list .list.productlist .item div.colspan-7 .direct-pay {
    display: none;
  }
  div.product-list .list.productlist .item div.colspan-7 .btn-default {
    margin-bottom: 0;
  }
}
